Ankündigung

Einklappen
Keine Ankündigung bisher.

SmartVisu 2.9.1 Installation - von SV 2.8 eibd Pages Ordner kopiert

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    SmartVisu 2.9.1 Installation - von SV 2.8 eibd Pages Ordner kopiert

    Hallo,

    Ich habe ein PI mit SmarVisu 2.8 /eibd der lauft. Als Vertical Basic.Slider in Popup nicht richtig eingezeigt sind; Jetzt probiere ich dem 2.9. Ich habe dann neben den 2.8 den 2.9 ausgepackt, und mein Projekt in pages copiert. Aber ich bekomme das folgende:


    Error loading Page 'index' ! Check config.php -> 'config_pages' for correct Pages/Project configuration or try the index page!

    Ich vermute ich muss etwas mehr machen um das es geht....

    Gibt es ein update Einleitung von 2.8 bis 2.9 ?

    Danke ins voraus für die Hilfe..
    Francois
    Zuletzt geändert von SnoopyFr; 11.07.2020, 16:16.

    #2
    Das Problem kam von dem "pages" oder <projekt> Verzeichnis der kein Executable Rechte und is_file hatte Falsch zurück gegeben.

    Jetzt bekomme ich ein schwarze Seite...

    Kommentar


      #3
      Bonsoir Francois,

      zuerst einmal ist es richtig, die neue SV-Version in ein Verzeichnis parallel zur alten Version zu entpacken. Das neue Verzeichnis ist dann zum Beispiel
      Code:
       /var/www/html/smartVISU29
      .
      Wichtig ist, dass Du ausschließlich Deine selbst erstellten html-Seiten Deines Projekts in einen Unterordner von "pages" kopierst, also zum Beispiel
      Code:
       /var/www/html/smartVISU29/pages/Francois
      . Es dürfen keine alten Dateien von v2.8 mitkopiert werden. Alles andere kopierst Du am Besten aus dem _templates Ordner in Dein neues Verzeichnis. Die config.ini bitte auch löschen. Sonstige Hinweise: siehe hier.

      Es müssen noch weinge Zusatzpake installiert sein und die Rechte müssen korrekt gesetzt sein. Das ist in der Komplettanleitung sehr gut beschrieben.

      Wenn Du SV dann zum ersten Mal startest, erscheint eine Seite, auf der einige Voraussetzungen geprüft werden. Von dort kommst Du dann auf die Config-Seite.

      Gruß
      Wolfram

      Kommentar


        #4
        Ich habe noch wieder kopiert und probiert und bekomme ich ein schwarze Konfiguration Seite.

        Ich habe Debian 7.2 mit PHP 5.5; php-xml und php-mbstring scheinen nicht zu gehen...
        PHP 7 will sich nicht installieren lassen, Source sind nicht mehr da..
        Ich denke ich sollte alles neu aufsetzten...

        Kommentar


          #5
          Wheezy ist schon ein paar Jahre alt da gibt es keine aktuellen Pakete mehr.
          Nur ein Tipp zur Vorsicht: schau Dir vor dem Neuaufsetzen im Forum (auch knxd-Forum) an, wie gut Deine Schnittstelle von knxd unterstützt wird. Da für meine ROT-Schnittstelle immer wieder Probleme Mit knxd gemeldet wurden und ich kein Risiko eingehen wollte, hatte ich mich dafür entschieden, meine laufende Version mit eibd von Wheezy zuerst auf Jessy und später jeweils auf die aktuelle Distribution zu aktualisieren. Das habe ich in meinem github-Wiki dokumentiert.


          Kommentar

          Lädt...
          X